<template>
  <div>
    <Player @close="$emit('close')" :url="url" :name="name" label="舱内" />
  </div>
</template>

<script>
import Player from "../components/player";
import { mapState } from "vuex";

export default {
  name: "InnerPlayer",
  components: { Player },
  data() {
    return {};
  },
  computed: {
    ...mapState("MMCFlightControlCenter/hangar", ["hangar"]),
    name() {
      return `${this.hangar?.uav?.organizationName || ""}机库无人机`;
    },
    url() {
      let find = this.hangar?.streamConfiguration
          ?.find((v) => v.urlType === 1)
      return find?.originalUrl || '';
    },
  },
};
</script>

<style lang="scss" scoped>
</style>